Commit chunked upload
This method checks the integrity of a chunked upload and then commits it. When this request is successful, the chunked upload is then ready to be referenced in other API calls.
If the request is unsuccessful, ensure that you have uploaded all of the parts by using the Update method.
Note: After you commit a chunked upload, it no longer accepts additional parts.
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
(Required) The external account number (int) or account ID GUID.
(Required) The ID of the chunked upload to commit.
Query parameters
(Required) You must use this query parameter with the value commit, which affirms the request to validate and prepare the chunked upload for use with other API calls.
Response
A 64-byte, Secure Hash Algorithm 256 (SHA256) checksum that the caller computes across the entirety of the original content that has been uploaded to the chunked upload. Docusign compares this value to its own computation. If the two values are not equal, the original content and received content are not the same and the commit action is refused.
When true, the chunked upload has been committed. A committed chunked upload can no longer receive any additional parts and is ready for use within other API requests.
The UTC time at which the chunked upload expires and is no longer addressable.
Note: You must fully upload and use a chunked upload within 20 minutes of initializing it.
The total size of the parts of the chunked upload.
Note: When a chunked upload is used as an envelope document, it is subject to the PDF size limit (25 MB) and page count limit that apply to all envelope documents.